mycroft package
===============

.. toctree::
    mycroft.util

MycroftSkill class
------------------

.. autoclass:: mycroft.MycroftSkill
    :members:

FallbackSkill class
-------------------
.. autoclass:: mycroft.FallbackSkill
    :show-inheritance:
    :members:

Api class
---------
.. autoclass:: mycroft.Api
    :members:

intent_handler decorator
------------------------
.. autofunction:: mycroft.intent_handler

intent_file_handler decorator
-----------------------------
.. autofunction:: mycroft.intent_file_handler

adds_context decorator
----------------------
.. autofunction:: mycroft.adds_context

removes_context decorator
-------------------------
.. autofunction:: mycroft.removes_context

